#include <nds.h>
#include <stdio.h>
#include <string.h>
#include "keyboard.h"
#include "gba_nds_fat.h"
#include "../../options.h"
#include "../../arm7/include/ipc.h"
#include "font_bin.h"
#include "fontpal_bin.h"
#include "fw.h"

extern u32 curpal1;

void Write_PMemory(u32 mem_loc, unsigned char new_value);
unsigned char Read_PMemory(u32 mem_loc);
void option3(char * txt[], int line, int select);
void arm9sleep();
void clear_screen();
void printtext(int line, char *str);
void printtext2(int line, char *str);
void set_cur_palette();
void menu_progmode();
void menu_config();
void menu_wifi(int WifiNumber);
void menu_userpref();
void menu_rtcsetting();
void Boot_NDS();


#ifdef DS_CARD_DUMP
#define NEED_GBA_NDS_FAT
int Dump_Card();
#endif

